//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#include "Wall.hh"

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

Wall2D::Wall2D(double x1, double y1, double x2, double y2)
{ 
  p1.x = x1;
  p1.y = y1;

  p2.x = x2;
  p2.y = y2;

  delta.x = p2.x - p1.x;
  delta.y = p2.y - p1.y;

  double mag;

  normal.x = -delta.y;
  normal.y = delta.x;

  mag = sqrt(normal.x * normal.x + normal.y * normal.y);
  normal.x /= mag;
  normal.y /= mag;
}

//----------------------------------------------------------------------------

void Wall2D::draw()
{ 
  glLineWidth(3);
  glColor3f(1, 0, 0);

  glBegin(GL_LINES);
  glVertex2f(p1.x, p1.y);
  glVertex2f(p2.x, p2.y);
  glEnd();
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
